import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:krow/core/data/models/event/full_address_model.dart';

part 'hub_model.g.dart';

@JsonSerializable(fieldRename: FieldRename.snake)
class HubModel {
  String id;
  String? name;
  String? address;
  FullAddress? fullAddress;

  HubModel({required this.id, this.name, this.address, this.fullAddress});

  factory HubModel.fromJson(Map<String, dynamic> json) {
    return _$HubModelFromJson(json);
  }

  Map<String, dynamic> toJson() => _$HubModelToJson(this);
}
